Update ecosystem configuration
Roles
Analytics Events
/v1/config/ecosystemsUpdates the tenant's ecosystem configuration.
Analytic events
- ECOSYSTEM_CONFIG_UPDATE_START
- ECOSYSTEM_CONFIG_UPDATE_SUCCESS
- ECOSYSTEM_CONFIG_UPDATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.vii.au01.mattr.global/v1/config/ecosystems" \ -H "Content-Type: application/json" \ -d '{}'{
"ecosystems": [
{
"url": "https://example.vii.au01.mattr.global/v1/ecosystems/cdd42cec-e961-447c-9083-1312ee316053"
}
],
"isIssuanceRestricted": false,
"isVerificationRestricted": false
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve ecosystem configuration GET
Retrieves the tenant's ecosystem configuration. ### **Analytic events** * ECOSYSTEM_CONFIG_RETRIEVE_START * ECOSYSTEM_CONFIG_RETRIEVE_SUCCESS * ECOSYSTEM_CONFIG_RETRIEVE_FAIL
Delete ecosystem configuration DELETE
Deletes the tenant's ecosystem configuration. ### **Analytic events** * ECOSYSTEM_CONFIG_DELETE_START * ECOSYSTEM_CONFIG_DELETE_SUCCESS * ECOSYSTEM_CONFIG_DELETE_FAIL